#!/usr/bin/python -tt

import bz2
import glob
import gzip
import sys

import lzma

for filename in glob.glob('./*'):
    if filename.endswith('.gz'):
        logfile = gzip.GzipFile(filename)
    elif filename.endswith('.bz2'):
        logfile = bz2.BZ2File(filename)
    elif filename.endswith('.xz'):
        logfile = lzma.LZMAFile(filename)
    else:
        print 'I cannot unzip %s' % filename
        sys.exit(1)

    output = []
    for line in logfile:
        if line.find('toshio') != -1:
            output.append(line.rstrip())
    if output:
        print '== %s ==' % filename
        print '\n'.join(output)
