#!/usr/bin/python -tt

import glob
import subprocess
import sys

for filename in glob.glob('./log*'):
    if filename.endswith('.gz'):
        unzip = 'zcat'
    elif filename.endswith('.bz2'):
        unzip = 'bzcat'
    elif filename.endswith('.xz'):
        unzip = 'xzcat'
    else:
        print 'I cannot unzip that file'
        sys.exit(1)

    unzip_cmd = subprocess.Popen([unzip, filename], stdout=subprocess.PIPE)
    filter_cmd = subprocess.Popen(['grep', 'toshio'],
        stdin=unzip_cmd.stdout, stdout=subprocess.PIPE)
    unzip_cmd.stdout.close()
    output = filter_cmd.communicate()[0]
    if output:
        print '== %s ==' % filename
        print output.rstrip()
